]> git.pld-linux.org Git - packages/apache.git/blobdiff - apache.init
- updated for 1.3.29
[packages/apache.git] / apache.init
index 10f79865dc458f679b39fc2b0bc72b496d668f36..0432b79a7725dffdd4d6f4521d69ce8b6f11622e 100644 (file)
@@ -1,48 +1,73 @@
-#!/bin/bash
+#!/bin/sh
 #
-# Startup script for the Apache Web Server
+# apache       Apache Web Server
 #
-# chkconfig: 345 85 15
-# description: Apache is a World Wide Web server.  It is used to serve \
-# HTML files and CGI.
-# processname: httpd
-# pidfile: /var/run/httpd.pid
-# config: /etc/httpd/conf/access.conf
-# config: /etc/httpd/conf/httpd.conf
-# config: /etc/httpd/conf/srm.conf
-
-# Source function library.
+# chkconfig:   345 85 15
+# description: Apache is a World Wide Web server.  It is used to serve \
+#              HTML files and CGI.
+# processname: httpd
+# pidfile:     /var/run/httpd.pid
+# config:      /etc/httpd/httpd.conf
+
+
+# Source function library
 . /etc/rc.d/init.d/functions
 
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/apache ] && . /etc/sysconfig/apache
+
 # Check that networking is up.
-[ "${NETWORKING}" = "no" ] && exit0
+if is_no "${NETWORKING}"; then
+        # nls "ERROR: Networking is down. %s can't be run." <service>
+        msg_network_down httpd
+        exit 1
+fi
+
+if is_no "${IPV6_NETWORKING}"; then
+        HTTPD_OPTS="$HTTPD_OPTS -4"
+fi
 
 # See how we were called.
 case "$1" in
   start)
-       show Starting httpd
-       daemon +5 httpd 
-       touch /var/lock/subsys/httpd
+       # Check if the service is already running?
+        if [ ! -f /var/lock/subsys/httpd ]; then
+               msg_starting httpd
+               daemon httpd $HTTPD_OPTS
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/httpd
+       else
+               msg_already_running httpd
+               exit 1
+       fi
        ;;
   stop)
-       show Shutting down httpd
-       killproc httpd  
-       rm -f /var/lock/subsys/httpd /var/run/httpd.pid
+        # Stop daemons.
+       if [ -f /var/lock/subsys/httpd ]; then
+                msg_stopping httpd
+                killproc httpd
+                rm -f /var/lock/subsys/httpd /var/run/httpd.pid /var/run/httpd.loc* >/dev/null 2>&1
+        else
+               msg_not_running httpd
+               exit 1
+       fi
        ;;
   status)
        status httpd
+       /usr/sbin/httpd -S
+       exit $?
        ;;
-  restart)
+  restart|reload)
        $0 stop
        $0 start
        ;;
   *)
-       echo "Usage: $0 {start|stop|restart|status}"
+       msg_usage "$0 {start|stop|restart|status}"
        exit 1
        ;;
 esac
 
-exit 0
-
-
-
+exit $RETVAL
This page took 0.042258 seconds and 4 git commands to generate.